import * as React from "react";

function JupyterIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    strokeWidth: 1.5,
    stroke: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M19.9 2.6c0 .8-.5 1.3-1.2 1.4-.8 0-1.3-.5-1.4-1.2 0-.8.5-1.3 1.2-1.4.7-.2 1.4.4 1.4 1.2zM12 18.1c-3.6 0-6.7-1.2-8.4-3.2 1.7 4.6 6.8 7 11.4 5.3 2.4-.9 4.3-2.8 5.3-5.3-1.6 2-4.7 3.2-8.3 3.2zM12 5.8c3.6 0 6.7 1.2 8.4 3.2C18.7 4.4 13.6 2 9 3.7 6.5 4.6 4.6 6.5 3.6 9 5.3 7.1 8.4 5.8 12 5.8zM7.1 21.9c.1 1-.7 1.7-1.6 1.8-1 .1-1.7-.7-1.8-1.6 0-1 .7-1.7 1.6-1.8.9-.2 1.7.6 1.8 1.6zM4 5.4c-.6 0-1-.4-1-1s.4-1 1-1 1 .4 1 1c0 .5-.4 1-1 1z"
  }));
}

const ForwardRef = React.forwardRef(JupyterIcon);
export default ForwardRef;