const React = require("react");

function SlackIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M6.3 14.6c0 1.1-.9 2-2 2s-2-.9-2-2 .9-2 2-2h2v2zm1.1 0c0-1.1.9-2 2-2s2 .9 2 2v5.1c0 1.1-.9 2-2 2s-2-.9-2-2v-5.1zm2-8.3c-1.1 0-2-.9-2-2s.9-2 2-2 2 .9 2 2v2h-2zm0 1.1c1.1 0 2 .9 2 2s-.9 2-2 2H4.3c-1.1 0-2-.9-2-2s.9-2 2-2h5.1zm8.3 2c0-1.1.9-2 2-2s2 .9 2 2-.9 2-2 2h-2v-2zm-1.1 0c0 1.1-.9 2-2 2s-2-.9-2-2V4.3c0-1.1.9-2 2-2s2 .9 2 2v5.1zm-2 8.3c1.1 0 2 .9 2 2s-.9 2-2 2-2-.9-2-2v-2h2zm0-1.1c-1.1 0-2-.9-2-2s.9-2 2-2h5.1c1.1 0 2 .9 2 2s-.9 2-2 2h-5.1z"
  }));
}

const ForwardRef = React.forwardRef(SlackIcon);
module.exports = ForwardRef;