import * as React from "react";

function DiscordIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M19.7 4.9c-1.5-.7-3-1.1-4.6-1.4-.2.3-.5.8-.6 1.1-1.7-.2-3.4-.2-5.1 0-.2-.3-.3-.7-.5-1-1.6.2-3.1.8-4.6 1.3C1.4 9.2.6 13.4 1 17.6c1.7 1.3 3.6 2.2 5.6 2.9.5-.6.8-1.3 1.3-2-.7-.2-1.3-.6-2-.9.1-.1.3-.2.5-.3 3.6 1.7 7.7 1.7 11.3 0 .1.1.3.2.5.3-.6.3-1.3.7-2 .9.3.7.8 1.4 1.3 2 2.1-.6 3.9-1.6 5.6-2.9.4-4.8-.9-9-3.4-12.7zM8.3 15c-1.1 0-2-1-2-2.2s.9-2.2 2-2.2 2.1 1 2 2.2-.8 2.2-2 2.2zm7.4 0c-1.1 0-2-1-2-2.2s.9-2.2 2-2.2 2.1 1 2 2.2-.9 2.2-2 2.2z"
  }));
}

const ForwardRef = React.forwardRef(DiscordIcon);
export default ForwardRef;